## com.baidubce.services.bos.model
Enum CannedAccessControlList

    java.lang.Object
      java.lang.Enum<CannedAccessControlList>
          com.baidubce.services.bos.model.CannedAccessControlList

All Implemented Interfaces:
  Serializable, Comparable<CannedAccessControlList>

    public enum CannedAccessControlList

extends Enum<CannedAccessControlList>

Specifies constants defining a canned access control list.

Canned access control lists are commonly used access control lists (ACL) that can be used as a shortcut when applying an access control list to Baidu Bos buckets. Only a few commonly used configurations are available, but they offer an alternative to manually creating a custom ACL.

Enum Constant Summary
`Private` This is the default access control policy for any new buckets or objects.
`PublicRead` If this policy is used on an object, it can be read from a browser without authentication.
`PublicReadWrite` This access policy is not recommended for general use.

Method Summary
`String` `toString()`
`static CannedAccessControlList` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CannedAccessControlList[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Private

    public static final CannedAccessControlList Private

  This is the default access control policy for any new buckets or objects.

### PublicRead

    public static final CannedAccessControlList PublicRead

  If this policy is used on an object, it can be read from a browser without authentication.

### PublicReadWrite

    public static final CannedAccessControlList PublicReadWrite

  This access policy is not recommended for general use.

Method Detail

### values

    public static CannedAccessControlList[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CannedAccessControlList c : CannedAccessControlList.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CannedAccessControlList valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<CannedAccessControlList>`

Copyright © 2016. All rights reserved.